/*jslint nomen: true, indent: 2, maxerr: 3, maxlen: 80*/
/*global window, RSVP, rJS, jIO*/
(function (window, RSVP, rJS, jIO) {
  "use strict";

  rJS(window)

  .ready(function(){
    var gadget = this;
    gadget.test_storage = jIO.createJIO({
      type : "parser",
      document_id : "doc_id",
      attachment_id :"att_id",
      parser : "rss",
      sub_storage : {
        type : "indexeddb",
        database : "test"
      }
    });

    return gadget.test_storage.put("doc_id", {})
      .push (function(){
        return gadget.get_test_rss();
      })
      .push(function(test_rss){
        return gadget.test_storage.putAttachment("doc_id", "att_id", new Blob([test_rss]));
      })
      .push(function(){
        return gadget.test_storage.get("doc_id");
      })
      .push(function(result){
        console.log("get result : ");
        console.log(result);
      });
  })

  .declareMethod("get_test_rss", function(){
    var xmlhttp = new XMLHttpRequest();
    xmlhttp.onreadystatechange = function() {
      if (xmlhttp.status == 200 && xmlhttp.readyState == 4) return xmlhttp.responseText;
      else return null;
    }
    xmlhttp.open("GET", "./test-files/vivelessvt.rss", true);
    xmlhttp.send();
  });
}
